Bug 1410483 - Documentation: Major upgrade procedure 8->9 , running "yum upgrade", before "openstack undercloud upgrade" is redundant.
Summary: Documentation: Major upgrade procedure 8->9 , running "yum upgrade", before ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:32 UTC by Alexander Chuzhoy
Modified: 2017-02-27 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 14:41:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2017-01-05 15:32:21 UTC
Documentation:  Major upgrade procedure 8->9 , running "yum upgrade", before "openstack undercloud upgrade" is redundant.


Looking at this link:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/paged/upgrading-red-hat-openstack-platform/chapter-3-director-based-environments-performing-upgrades-to-major-versions

Section 3.2 shows:
 Use yum to update the director:

$ sudo yum upgrade


We need to change that to show:

 Use yum to update the client:
sudo yum update python-tripleoclient

Comment 1 Sofer Athlan-Guyot 2017-01-24 19:09:19 UTC
Any news on this one ?

Comment 2 Dan Macpherson 2017-02-27 01:46:55 UTC
Hi Sasha,

This has been updated as per your request:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment#sect-Major-Updating_Director_Packages

Was there anything else required for this BZ?

Comment 3 Alexander Chuzhoy 2017-02-27 14:36:52 UTC
No, looks good.
Thanks.

Comment 4 Dan Macpherson 2017-02-27 14:41:27 UTC
Thanks, Sasha! Closing this BZ.


Note You need to log in before you can comment on or make changes to this bug.